<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="pt">
<head>
<!-- Generated by javadoc (13.0.2) on Mon Apr 13 03:55:58 BRT 2020 -->
<title>TOSDisplay</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-04-13">
<meta name="description" content="declaration: package: eu.systemsengineer.fjcapeletto.display, class: TOSDisplay">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-ui.js"></script>
</head>
<body class="class-declaration">
<script type="text/javascript">var data = {"i0":9,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":9,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TOSDisplay.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">eu.systemsengineer.fjcapeletto.display</a></div>
<h1 title="Class TOSDisplay" class="title">Class TOSDisplay</h1>
</div>
<div class="contentContainer">
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance">java.awt.Component
<div class="inheritance">java.awt.Container
<div class="inheritance">javax.swing.JComponent
<div class="inheritance">javax.swing.JPanel
<div class="inheritance">eu.systemsengineer.fjcapeletto.display.TOSDisplay</div>
</div>
</div>
</div>
</div>
</div>
<section class="description">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code>java.awt.image.ImageObserver</code>, <code>java.awt.MenuContainer</code>, <code>java.io.Serializable</code>, <code>java.lang.Runnable</code>, <code>javax.accessibility.Accessible</code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">TOSDisplay</span>
extends javax.swing.JPanel
implements java.lang.Runnable</pre>
<div class="block">Class containing the MMI for the project. Based on Swing AWT</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>MK2-V1</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Fernando Jose Capeletto Neto</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../serialized-form.html#eu.systemsengineer.fjcapeletto.display.TOSDisplay">Serialized Form</a></dd>
</dl>
</section>
<section class="summary">
<ul class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<li class="blockList">
<section class="nestedClassSummary"><a id="nested.class.summary">
<!--   -->
</a>
<h2>Nested Class Summary</h2>
<div class="inheritedList">
<h2>Nested classes/interfaces inherited from class&nbsp;javax.swing.JPanel</h2>
<a id="nested.classes.inherited.from.class.javax.swing.JPanel">
<!--   -->
</a><code>javax.swing.JPanel.AccessibleJPanel</code></div>
<div class="inheritedList">
<h2>Nested classes/interfaces inherited from class&nbsp;javax.swing.JComponent</h2>
<a id="nested.classes.inherited.from.class.javax.swing.JComponent">
<!--   -->
</a><code>javax.swing.JComponent.AccessibleJComponent</code></div>
<div class="inheritedList">
<h2>Nested classes/interfaces inherited from class&nbsp;java.awt.Container</h2>
<a id="nested.classes.inherited.from.class.java.awt.Container">
<!--   -->
</a><code>java.awt.Container.AccessibleAWTContainer</code></div>
<div class="inheritedList">
<h2>Nested classes/interfaces inherited from class&nbsp;java.awt.Component</h2>
<a id="nested.classes.inherited.from.class.java.awt.Component">
<!--   -->
</a><code>java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy</code></div>
</section>
</li>
<!-- =========== FIELD SUMMARY =========== -->
<li class="blockList">
<section class="fieldSummary"><a id="field.summary">
<!--   -->
</a>
<h2>Field Summary</h2>
<div class="memberSummary">
<table>
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private javax.swing.JLabel</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#briefInstruction">briefInstruction</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#brokerIP">brokerIP</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private javax.swing.JButton</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#buttonCarLaunch">buttonCarLaunch</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.util.Map&lt;java.lang.Integer,&#8203;javax.swing.JToggleButton&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#buttonCarMap">buttonCarMap</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.util.Map&lt;java.lang.Integer,&#8203;java.awt.image.BufferedImage&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#carIcons">carIcons</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private javax.swing.JLabel</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#carLimitReached">carLimitReached</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="JKnob.html" title="class in eu.systemsengineer.fjcapeletto.display">JKnob</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#cslider">cslider</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private javax.swing.JLabel</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#csliderValue">csliderValue</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static <a href="TOSController.html" title="class in eu.systemsengineer.fjcapeletto.display">TOSController</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#instanceController">instanceController</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.util.Map&lt;java.lang.Integer,&#8203;javax.swing.JLabel&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#labelCarMap">labelCarMap</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>(package private) java.util.Map&lt;java.lang.Integer,&#8203;eu.systemsengineer.fjcapeletto.model.Car&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#launchedCarsMapFromController">launchedCarsMapFromController</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static org.slf4j.Logger</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#LOGGER">LOGGER</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private javax.swing.JLabel</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#serverPresence">serverPresence</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static eu.systemsengineer.fjcapeletto.msg.subscriber.SubscriberHandlerStart</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#subscriberHandlerStart">subscriberHandlerStart</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>(package private) java.lang.Thread</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#subscriberHandlerStartThread">subscriberHandlerStartThread</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static eu.systemsengineer.fjcapeletto.msg.subscriber.SubscriberUpdateCarList</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#subscriberUpdateCarList">subscriberUpdateCarList</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>(package private) java.lang.Thread</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#subscriberUpdateCarListThread">subscriberUpdateCarListThread</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<div class="inheritedList">
<h3>Fields inherited from class&nbsp;javax.swing.JComponent</h3>
<a id="fields.inherited.from.class.javax.swing.JComponent">
<!--   -->
</a><code>listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW</code></div>
<div class="inheritedList">
<h3>Fields inherited from class&nbsp;java.awt.Component</h3>
<a id="fields.inherited.from.class.java.awt.Component">
<!--   -->
</a><code>accessibleContext, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT</code></div>
<div class="inheritedList">
<h3>Fields inherited from interface&nbsp;java.awt.image.ImageObserver</h3>
<a id="fields.inherited.from.class.java.awt.image.ImageObserver">
<!--   -->
</a><code>ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH</code></div>
</section>
</li>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li class="blockList">
<section class="constructorSummary"><a id="constructor.summary">
<!--   -->
</a>
<h2>Constructor Summary</h2>
<div class="memberSummary">
<table>
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">TOSDisplay</a></span>()</code></th>
<td class="colLast">
<div class="block">Constructor</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li class="blockList">
<section class="methodSummary"><a id="method.summary">
<!--   -->
</a>
<h2>Method Summary</h2>
<div class="memberSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="memberSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t1" class="tableTab" onclick="show(1);">Static Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="tableTab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="tableTab" onclick="show(8);">Concrete Methods</button></div>
<div id="memberSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><code>static void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#App()">App</a></span>()</code></th>
<td class="colLast">
<div class="block">App method, just call the SwingUtilities</div>
</td>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><code>private void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#drawCars(java.awt.Graphics)">drawCars</a></span>&#8203;(java.awt.Graphics&nbsp;g)</code></th>
<td class="colLast">
<div class="block">Draw the cars in its current position.</div>
</td>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><code>java.awt.Dimension</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getPreferredSize()">getPreferredSize</a></span>()</code></th>
<td class="colLast">
<div class="block">Set the dimension for the application</div>
</td>
</tr>
<tr class="rowColor" id="i3">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#go()">go</a></span>()</code></th>
<td class="colLast">
<div class="block">Assembly the frame and start it</div>
</td>
</tr>
<tr class="altColor" id="i4">
<td class="colFirst"><code>private void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#initializeCarJButtons()">initializeCarJButtons</a></span>()</code></th>
<td class="colLast">
<div class="block">Initializes the JToogleButtons for each car</div>
</td>
</tr>
<tr class="rowColor" id="i5">
<td class="colFirst"><code>private void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#loadCarIcons()">loadCarIcons</a></span>()</code></th>
<td class="colLast">
<div class="block">Loads the respective img Icons from each car</div>
</td>
</tr>
<tr class="altColor" id="i6">
<td class="colFirst"><code>static void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#main(java.lang.String%5B%5D)">main</a></span>&#8203;(java.lang.String[]&nbsp;args)</code></th>
<td class="colLast">
<div class="block">Main Class</div>
</td>
</tr>
<tr class="rowColor" id="i7">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#paintComponent(java.awt.Graphics)">paintComponent</a></span>&#8203;(java.awt.Graphics&nbsp;g)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i8">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#redraw()">redraw</a></span>()</code></th>
<td class="colLast">
<div class="block">Called inside a infinite loop, for each cycle update the tactical information
 and control the alerts and button for launching cars.</div>
</td>
</tr>
<tr class="rowColor" id="i9">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#run()">run</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i10">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setupMMIControls()">setupMMIControls</a></span>()</code></th>
<td class="colLast">
<div class="block">Assembly the Panel.</div>
</td>
</tr>
<tr class="rowColor" id="i11">
<td class="colFirst"><code>private void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#updateMMIFromServerAvailability(java.lang.Boolean)">updateMMIFromServerAvailability</a></span>&#8203;(java.lang.Boolean&nbsp;state)</code></th>
<td class="colLast">
<div class="block">Update JButtons according server availability</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;javax.swing.JPanel</h3>
<a id="methods.inherited.from.class.javax.swing.JPanel">
<!--   -->
</a><code>getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI</code></div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;javax.swing.JComponent</h3>
<a id="methods.inherited.from.class.javax.swing.JComponent">
<!--   -->
</a><code>addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update</code></div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;java.awt.Container</h3>
<a id="methods.inherited.from.class.java.awt.Container">
<!--   -->
</a><code>add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate, validateTree</code></div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;java.awt.Component</h3>
<a id="methods.inherited.from.class.java.awt.Component">
<!--   -->
</a><code>action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setMixingCutoutShape, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle</code></div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a><code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<li class="blockList">
<section class="fieldDetails"><a id="field.detail">
<!--   -->
</a>
<h2>Field Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="LOGGER">LOGGER</a></h3>
<div class="memberSignature"><span class="modifiers">private static final</span>&nbsp;<span class="returnType">org.slf4j.Logger</span>&nbsp;<span class="memberName">LOGGER</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="instanceController">instanceController</a></h3>
<div class="memberSignature"><span class="modifiers">private static</span>&nbsp;<span class="returnType"><a href="TOSController.html" title="class in eu.systemsengineer.fjcapeletto.display">TOSController</a></span>&nbsp;<span class="memberName">instanceController</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="launchedCarsMapFromController">launchedCarsMapFromController</a></h3>
<div class="memberSignature"><span class="returnType">java.util.Map&lt;java.lang.Integer,&#8203;eu.systemsengineer.fjcapeletto.model.Car&gt;</span>&nbsp;<span class="memberName">launchedCarsMapFromController</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="subscriberHandlerStart">subscriberHandlerStart</a></h3>
<div class="memberSignature"><span class="modifiers">private static</span>&nbsp;<span class="returnType">eu.systemsengineer.fjcapeletto.msg.subscriber.SubscriberHandlerStart</span>&nbsp;<span class="memberName">subscriberHandlerStart</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="subscriberUpdateCarList">subscriberUpdateCarList</a></h3>
<div class="memberSignature"><span class="modifiers">private static</span>&nbsp;<span class="returnType">eu.systemsengineer.fjcapeletto.msg.subscriber.SubscriberUpdateCarList</span>&nbsp;<span class="memberName">subscriberUpdateCarList</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="brokerIP">brokerIP</a></h3>
<div class="memberSignature"><span class="modifiers">private static</span>&nbsp;<span class="returnType">java.lang.String</span>&nbsp;<span class="memberName">brokerIP</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="buttonCarMap">buttonCarMap</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">java.util.Map&lt;java.lang.Integer,&#8203;javax.swing.JToggleButton&gt;</span>&nbsp;<span class="memberName">buttonCarMap</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="labelCarMap">labelCarMap</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">java.util.Map&lt;java.lang.Integer,&#8203;javax.swing.JLabel&gt;</span>&nbsp;<span class="memberName">labelCarMap</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="carIcons">carIcons</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">java.util.Map&lt;java.lang.Integer,&#8203;java.awt.image.BufferedImage&gt;</span>&nbsp;<span class="memberName">carIcons</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="buttonCarLaunch">buttonCarLaunch</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">javax.swing.JButton</span>&nbsp;<span class="memberName">buttonCarLaunch</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="carLimitReached">carLimitReached</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">javax.swing.JLabel</span>&nbsp;<span class="memberName">carLimitReached</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="cslider">cslider</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType"><a href="JKnob.html" title="class in eu.systemsengineer.fjcapeletto.display">JKnob</a></span>&nbsp;<span class="memberName">cslider</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="csliderValue">csliderValue</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">javax.swing.JLabel</span>&nbsp;<span class="memberName">csliderValue</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="briefInstruction">briefInstruction</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">javax.swing.JLabel</span>&nbsp;<span class="memberName">briefInstruction</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="serverPresence">serverPresence</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">javax.swing.JLabel</span>&nbsp;<span class="memberName">serverPresence</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="subscriberHandlerStartThread">subscriberHandlerStartThread</a></h3>
<div class="memberSignature"><span class="returnType">java.lang.Thread</span>&nbsp;<span class="memberName">subscriberHandlerStartThread</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="subscriberUpdateCarListThread">subscriberUpdateCarListThread</a></h3>
<div class="memberSignature"><span class="returnType">java.lang.Thread</span>&nbsp;<span class="memberName">subscriberUpdateCarListThread</span></div>
</section>
</li>
</ul>
</section>
</li>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li class="blockList">
<section class="constructorDetails"><a id="constructor.detail">
<!--   -->
</a>
<h2>Constructor Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="&lt;init&gt;()">TOSDisplay</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="memberName">TOSDisplay</span>()</div>
<div class="block">Constructor</div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li class="blockList">
<section class="methodDetails"><a id="method.detail">
<!--   -->
</a>
<h2>Method Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="setupMMIControls()">setupMMIControls</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">setupMMIControls</span>()</div>
<div class="block">Assembly the Panel. Set the properties and listeners for the visual elements</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="initializeCarJButtons()">initializeCarJButtons</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">initializeCarJButtons</span>()</div>
<div class="block">Initializes the JToogleButtons for each car</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="updateMMIFromServerAvailability(java.lang.Boolean)">updateMMIFromServerAvailability</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">updateMMIFromServerAvailability</span>&#8203;(<span class="arguments">java.lang.Boolean&nbsp;state)</span></div>
<div class="block">Update JButtons according server availability</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>state</code> - The server availability</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="loadCarIcons()">loadCarIcons</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">loadCarIcons</span>()</div>
<div class="block">Loads the respective img Icons from each car</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getPreferredSize()">getPreferredSize</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">java.awt.Dimension</span>&nbsp;<span class="memberName">getPreferredSize</span>()</div>
<div class="block">Set the dimension for the application</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>getPreferredSize</code>&nbsp;in class&nbsp;<code>javax.swing.JComponent</code></dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="paintComponent(java.awt.Graphics)">paintComponent</a></h3>
<div class="memberSignature"><span class="modifiers">protected</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">paintComponent</span>&#8203;(<span class="arguments">java.awt.Graphics&nbsp;g)</span></div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>paintComponent</code>&nbsp;in class&nbsp;<code>javax.swing.JComponent</code></dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="drawCars(java.awt.Graphics)">drawCars</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">drawCars</span>&#8203;(<span class="arguments">java.awt.Graphics&nbsp;g)</span></div>
<div class="block">Draw the cars in its current position. If the car is not launched yet: drawn
 in its 'garage' (start point, defined in the configuration) If the car is
 already launched, drawn it in its updated coordinate. Prints also some
 informations about the car, like speed, name, and constantly updates the
 information about course and position. (tactical situation)</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="main(java.lang.String[])">main</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">main</span>&#8203;(<span class="arguments">java.lang.String[]&nbsp;args)</span></div>
<div class="block">Main Class</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="App()">App</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">App</span>()</div>
<div class="block">App method, just call the SwingUtilities</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="go()">go</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">go</span>()</div>
<div class="block">Assembly the frame and start it</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="redraw()">redraw</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">redraw</span>()</div>
<div class="block">Called inside a infinite loop, for each cycle update the tactical information
 and control the alerts and button for launching cars.</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="run()">run</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">run</span>()</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>run</code>&nbsp;in interface&nbsp;<code>java.lang.Runnable</code></dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TOSDisplay.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
